Subject: [TR] Triple Weber Carbs on a TR6

From: Joe DeMuth <[email-masked]>
Date: Sat, 31 Aug 2019 14:30:57 -0500

I currently have duel carbs but want to fit triples. I know I will need a new input manifold, no problem, but I am puzzled by what the accelerator linkage will like. That middle carb will be occupying the same space as the current linkage and will need to be modified, or replaced with something different.

Has anybody done this, and if so could you send a picture of the linkage?  Thanks.

Sent from my couch
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive